<?php
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Check if the single email form is submitted
    if (isset($_POST['submit_single'])) {
        $email = $_POST['email'];
        $subject = $_POST['subject'];
        $message = $_POST['email_message'];

        // Validate email
        if (filter_var($email, FILTER_VALIDATE_EMAIL)) {
            // Send email
            if (mail($email, $subject, $message)) {
                echo "Email sent successfully to $email.";
                header("Location: mail_sent.html");
            } else {
                echo "Failed to send email.";
                echo "Email: " . $email . ", Subject: " . $subject . ", Message: " . $message;
            }
        } else {
            echo "Invalid email format.";
        }
    }

    // Check if the multiple email form is submitted
    if (isset($_POST['submit_list'])) {
        $subject = $_POST['subject'];
        $message = $_POST['email_message'];

        // Check if a file is uploaded
        if (isset($_FILES['email_list']) && $_FILES['email_list']['error'] == 0) {
            $fileTmpPath = $_FILES['email_list']['tmp_name'];
            $fileName = $_FILES['email_list']['name'];
            $fileSize = $_FILES['email_list']['size'];
            $fileType = $_FILES['email_list']['type'];

            // Validate file type (CSV or TXT)
            $allowedTypes = ['text/csv', 'text/plain'];
            if (in_array($fileType, $allowedTypes)) {
                // Read the file
                $emails = file($fileTmpPath, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
                
                foreach ($emails as $email) {
                    $email = trim($email); // Clean up whitespace
                    // Validate email
                    if (filter_var($email, FILTER_VALIDATE_EMAIL)) {
                        // Send email
                        mail($email, $subject, $message);
                    } else {
                        echo "Invalid email format: $email<br>";
                        echo "Email: " . $email . ", Subject: " . $subject . ", Message: " . $message;
                    }
                }
                echo "Emails sent successfully to the list.";
                header("Location: mail_sent.html");
            } else {
                echo "Invalid file type. Please upload a CSV or TXT file.";
            }
        } else {
            echo "No file uploaded or there was an upload error.";
        }
    }
}
?>